Get an artifact
Returns one artifact with a fresh download link; for a run record (rec:…), its full text in content.
Requires a realm member (or higher) with the runs.view permission on the realm that owns the artifact given by artifact_id.
POST
/
v1
/
artifacts
/
get_by_id
Get an artifact
curl --request POST \
--url https://{host}/v1/artifacts/get_by_id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"artifact_id": "8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f"
}
'import requests
url = "https://{host}/v1/artifacts/get_by_id"
payload = { "artifact_id": "8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({artifact_id: '8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f'})
};
fetch('https://{host}/v1/artifacts/get_by_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/artifacts/get_by_id",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'artifact_id' => '8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/artifacts/get_by_id"
payload := strings.NewReader("{\n \"artifact_id\": \"8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/artifacts/get_by_id")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"artifact_id\": \"8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/artifacts/get_by_id")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"artifact_id\": \"8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"artifact_id": "8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f",
"source": "file",
"kind": "file",
"run_id": "0c8d7e6f-5a4b-4c3d-9e2f-1a0b9c8d7e6f",
"phase": "review",
"name": "review.md",
"description": "Findings from the review phase",
"mime_type": "text/markdown",
"size_bytes": 2048,
"download_url": "https://files.cliqhub.io/a/8f7e6d5c?sig=…",
"content_preview": null,
"created_at": 1759834480000
}
}{
"ok": false,
"error": {
"code": "unauthorized",
"message": "Authentication required"
}
}{
"ok": false,
"error": {
"code": "forbidden",
"message": "You do not have access to do this"
}
}{
"ok": false,
"error": {
"code": "not_found",
"message": "Not found"
}
}{
"ok": false,
"error": "artifact_id: Required",
"code": "invalid_params"
}{
"ok": false,
"error": "Internal server error",
"code": "internal_error"
}Authorizations
User PAT (cliq_tok_…, including session-scoped) or realm token (cliq_dt_…).
Body
application/json
Artifact UUID
Minimum string length:
1⌘I
Get an artifact
curl --request POST \
--url https://{host}/v1/artifacts/get_by_id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"artifact_id": "8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f"
}
'import requests
url = "https://{host}/v1/artifacts/get_by_id"
payload = { "artifact_id": "8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({artifact_id: '8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f'})
};
fetch('https://{host}/v1/artifacts/get_by_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/artifacts/get_by_id",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'artifact_id' => '8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/artifacts/get_by_id"
payload := strings.NewReader("{\n \"artifact_id\": \"8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/artifacts/get_by_id")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"artifact_id\": \"8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/artifacts/get_by_id")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"artifact_id\": \"8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"artifact_id": "8f7e6d5c-4b3a-4291-8e7f-6a5b4c3d2e1f",
"source": "file",
"kind": "file",
"run_id": "0c8d7e6f-5a4b-4c3d-9e2f-1a0b9c8d7e6f",
"phase": "review",
"name": "review.md",
"description": "Findings from the review phase",
"mime_type": "text/markdown",
"size_bytes": 2048,
"download_url": "https://files.cliqhub.io/a/8f7e6d5c?sig=…",
"content_preview": null,
"created_at": 1759834480000
}
}{
"ok": false,
"error": {
"code": "unauthorized",
"message": "Authentication required"
}
}{
"ok": false,
"error": {
"code": "forbidden",
"message": "You do not have access to do this"
}
}{
"ok": false,
"error": {
"code": "not_found",
"message": "Not found"
}
}{
"ok": false,
"error": "artifact_id: Required",
"code": "invalid_params"
}{
"ok": false,
"error": "Internal server error",
"code": "internal_error"
}